use std::env;
use std::path::Path;
mod database;

use simplelog::{Config, LevelFilter, SimpleLogger};

fn main() {
    let _ = SimpleLogger::init(LevelFilter::Info, Config::default());
    let args: Vec<String> = env::args().collect();
    let filename = &args[1];
    let db = database::Database::new(Path::new(filename));
    /*match db {
        Ok(db) => print!("{}", db),
        Err(error) => println!("OH NO: {}", error),
    }*/
}
